Skip to main content
POST
/
payments
/
{payment_id}
/
refund
Refund payment
curl --request POST \
  --url https://api.zenskar.com/payments/{payment_id}/refund \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "refund_destination": "credits",
  "writeoff_invoices": true,
  "connector": {
    "name": "<string>",
    "reference_id": "<string>"
  },
  "refund_payment_part_amounts": [
    {
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123
    }
  ],
  "refund_amount": 123,
  "description": "<string>",
  "timestamp": "2023-11-07T05:31:56Z"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

payment_id
string<uuid>
required

Body

application/json

Create Refund Request Schema

refund_destination
enum<string>
required
Available options:
credits,
original_payment_method,
external
writeoff_invoices
boolean
required
connector
Connector · object

Connector

refund_payment_part_amounts
PaymentPart · object[] | null

Payment Parts

refund_amount
integer

Total Refund Amount

description
string | null
timestamp
string<date-time> | null

Response

Successful Response